#!/bin/bash -x
#
# Do 2nd steps required for the FDR run
#
# obtain jobID and confID saved from part 1 
#
# check to see if previous context exists 
# create tmp directory for spc1 if it does not exist 
REPOSITORY=/cygdrive/c/users/Administrator/Desktop/SPC/Repository

SPCTMP=/tmp/af650s3spc1v3
if [ ! -d ${SPCTMP} ]; then      
	echo Error!
	exit
else
	confID=`cat ${SPCTMP}/lastconfID`
	jobID=`cat ${SPCTMP}/lastjobID`
	WORKDIR=`cat ${SPCTMP}/WORKDIR`
	EXPORTLOG=`cat ${SPCTMP}/EXPORTLOG`
	ROOT=`cat ${SPCTMP}/ROOT`
	SCRIPTS=`cat ${SPCTMP}/SCRIPTS`
        PERSIOPS=`cat ${SPCTMP}/PERSIOPS`
        TUNING=`cat ${SPCTMP}/TUNING`
fi
export SPCTMP
export confID
export jobID
export WORKDIR 
export EXPORTLOG
export ROOT
export SCRIPTS
export TUNING

# apply Linux tuning 
# also insure that logical volumes are available after power cycle
$TUNING/setupLinux.sh
for i in {110..113} 
do
  h=$(printf 'sv%d' "$i" )
  ssh root@$h  "cd ${TUNING};./setupLinux.sh"
done


#
#  Run Persistence Test log
#
cd ${WORKDIR}/09_Results
spc1 -master SPC1_${confID}.hst -run SPC1_PERSIST_2  -iops $PERSIOPS -storage SPC1_${confID}.asu
#
# Save after log
#
cd $WORKDIR
echo "Starting AF650S3 AfterJ log save Job=$jobID at `date`" | tee -a ${SPCTMP}/${jobID}_message.txt
${SCRIPTS}/${EXPORTLOG} $jobID AfterJ
echo "Completed AF650S3 AfterJ log save Job=${jobID} at `date`" | tee -a ${SPCTMP}/${jobID}_message.txt
echo "current time = `date`."
echo "Completed AF650S3 FDR job All steps for Job=${jobID} at `date`" | tee -a ${SPCTMP}/${jobID}_message.txt
echo "Zip up directory /home/spc1/work/${jobID}, Collect All FDR data and send to repository " | tee -a ${SPCTMP}/${jobID}_message.txt
mv ${SPCTMP}/${jobID}_message.txt ${WORKDIR}/10_Reference_Info/
sync
cp ${SCRIPTS}/nohup.out ${WORKDIR}/10_Reference_Info/nohup_${jobID}.out
cd ${WORKDIR}/..
zip -r ${jobID} ${jobID}
scp ${jobID}.zip Administrator@spcgw:${REPOSITORY}
echo Archive copied to ${REPOSITORY}/${jobID}.zip
